<?PHP
$_OPTIMIZATION["title"] = "Лидеры проекта";
$_OPTIMIZATION["description"] = "Статистика выплаты, регистрации, пополнения, лидеры.";
$_OPTIMIZATION["keywords"] = "Статистика, последняя статистика игры с выводом денег платящие игры экономические фермы";
?>
<?PHP
$tfstats = time() - 60*60*24;
$db->Query("SELECT 
(SELECT COUNT(*) FROM db_users_a) all_users,
(SELECT SUM(insert_sum) FROM db_users_b) all_insert, 
(SELECT SUM(payment_sum) FROM db_users_b) all_payment,
(SELECT COUNT(*) FROM db_users_a WHERE date_reg > '$tfstats') new_users");
$stats_data = $db->FetchArray();
?>

<!-- Second Section -->
<section id="second" class="main special">
	<header class="major">
		<h2>Статистика</h2>
	</header>
	<ul class="statistics">
		<li class="style1">
			<span class="icon fa-users"></span>
			<strong><?=$stats_data["all_users"]; ?></strong> Пользователей
		</li>
		<li class="style4">
			<span class="icon fa-rub"></span>
			<strong><?=sprintf("%.0f",$stats_data["all_payment"]); ?> р</strong> Выплаты
		</li>
		<li class="style5">
			<span class="icon fa-clock-o"></span>
			<strong><?=intval(((time() - $config->SYSTEM_START_TIME) / 86400 ) +1); ?></strong> Работаем дней
		</li>
	</ul>

<!-- Nav tabs -->
<ul class="nav nav-tabs">
  <li><a href="/stats" data-toggle="/stats">Статистика</a></li>
  <li class="active"><a href="/#tab" data-toggle="tab">Топ-10 лидеров</a></li>
</ul>

<!-- Tab panes -->
<div class="tab-content thumbnail" style="border-top: 0;border-radius: 0 0 4px 4px;">
	<div class="tab-pane fade in active" id="tab">
<div class="row" style="margin: 0;"><br/>

	<div class="col-md-12">
	<div class="thumbnail stat4"><h4>Лидеры по рефералам</h4>
		<table width="100%" class="table table-bordered">
			<thead><th>Логин</th><th>Рефералов</th><th>Регистрация</th></thead>
			<tbody>

<?php
	$db->Query("SELECT * FROM `db_users_a` ORDER BY referals DESC LIMIT 10 ");
	while($data = $db->FetchArray()){
	?>
<tr align="center">
		<td><?=$data["user"]; ?></td>
		<td><?=$data["referals"]; ?> чел.</td>
		<td><?=date("d.m.Y H:i",$data["date_reg"]); ?></td>
	</tr>
	<?PHP
	}
?>
			</tbody>
		</table></div>
	</div><!-- Referals -->




	<div class="col-md-12">
	<div class="thumbnail stat5"><h4>ТОП-10 РЕКЛАМОДАТЕЛЕЙ</h4>
		<table width="100%" class="table table-bordered">
			<thead><th>Логин</th><th>Сумма</th><th>Регистрация</th></thead>
			<tbody>

<?php
	$db->Query("SELECT * FROM `db_users_b`,`db_users_a` WHERE db_users_b.id = db_users_a.id ORDER BY db_users_b.insert_sum DESC LIMIT 10 ");
	while($data = $db->FetchArray()){
	?>
<tr align="center">
		<td><?=$data["user"]; ?></td>
		<td><?=sprintf("%.2f",$data["insert_sum"]); ?> руб.</td>
		<td><?=date("d.m.Y H:i",$data["date_reg"]); ?></td>
	</tr>
	<?PHP
	}
?>
			</tbody>
		</table></div>
	</div><!-- top inv -->

	<div class="col-md-12">
	<div class="thumbnail stat6"><h4>Лидеры по заработку</h4>
		<table width="100%" class="table table-bordered">
			<thead><th>Логин</th><th>Сумма</th><th>Регистрация</th></thead>
			<tbody>

<?php
	$db->Query("SELECT * FROM `db_users_b`,`db_users_a` WHERE db_users_b.id = db_users_a.id ORDER BY db_users_b.payment_sum DESC LIMIT 10 ");
	while($data = $db->FetchArray()){
	?>
<tr align="center">
		<td><?=$data["user"]; ?></td>
		<td><?=sprintf("%.2f",$data["payment_sum"]); ?> руб.</td>
		<td><?=date("d.m.Y H:i",$data["date_reg"]); ?></td>
	</tr>
	<?PHP
	}
?>
			</tbody>
		</table></div>
	</div><!-- top payouts -->
	</div>
	</div>
</div>
</section>

